<?
include("config.php");

@session_start();

if (!(isset($_SESSION['slogin'])))
{
   header("Location: home.php");
}
$Usuario= $_SESSION["slogin"];
$slogin = $Usuario;

include("config.php");
include("config.php");
$buscanome = "SELECT memb_name,Creditos,gold,vip,memb___id FROM MEMB_INFO WHERE memb___id='$slogin'";
$resultado = mssql_query($buscanome);
$row1 = mssql_fetch_row($resultado);


?>
<?
include("config.php");
$IDI = $_POST['IDI'];
$IDI2 = $_POST['IDI2'];
$IDI3 = $_POST['IDI3'];
$IDI4 = $_POST['IDI4'];
$IDI5 = $_POST['IDI5'];
$IDI6 = $_POST['IDI6'];
$IDI7 = $_POST['IDI7'];
$valor = $_POST['valor'];
$nome = $_POST['nome'];
$img = $_POST['imagem'];
$final = $_POST['final'];
$final2 = $_POST['final2'];
$final3 = $_POST['final3'];
$final4 = $_POST['final4'];
$final5 = $_POST['final5'];
$final6 = $_POST['final6'];
$final7 = $_POST['final7'];
?>
<blockquote>
<?
if ($row1[2] < $valor) {
	echo "<b>";
	echo "Desculpe, não foi possivel realizar sua compra por que voce nao tem Golds Suficientes.</br>";
	echo "Por favor adquira mais Golds e tente novamente mais tarde.</br>";
	echo "Obrigado!</br></b>";
}
else 
	{
	include("config.php");
	include("config.php");	


      $allowed_chars=array('A','B','C','D','E','F','G','H','J','L','M','N','P','Q','R','S','T','U','V','X','Z','W','2','3','4','5','6','7','8','9');
      $quant=8; //quantidade de caracteres aleatorios
      $retorno='';
      for($i=0;$i<$quant;$i++)
      {
          $newchar=rand(0,sizeof($allowed_chars));
          $retorno.=$allowed_chars[$newchar];
      }

$serial=rand(10,90).rand(100000,900000);
$serial2=rand(10,90).rand(100000,900000);
$serial3=rand(10,90).rand(100000,900000);
$serial4=rand(10,90).rand(100000,900000);
$serial5=rand(10,90).rand(100000,900000);
$code33="0x".$IDI.$serial.$final.$IDI2.$serial2.$final2.$IDI3.$serial3.$final3.$IDI4.$serial4.$final4.$IDI5.$serial5.$final5;


mssql_query("update dbo.warehouse set items=CONVERT(varbinary(1920),$code33) where accountid='$slogin'");
mssql_query("update dbo.MEMB_INFO set gold=gold -$valor where memb___id='$slogin'");

	echo "<b>";
	echo "<font face=\"Arial, Helvetica, sans-serif\">Sua compra foi realizada com sucesso!<br></br>";
	echo "Obrigado por compra o Item $nome do Shop do nosso Servidor. <br>";
	echo "Sua compra ja foi entrege em seu Bau.<br></br>";
	echo "<font color=\"CCCCCC\">Data ".date("d-m-Y")." e Hora ". date("H:i:s")." da compra.</br>";
	echo "</b>";
	$msg="### Usuario ".$slogin." comprou o item $item as ". date("H:i:s")." do dia ".date("d-m-Y")." tendo desconto de ".$valor." Golds de sua Conta Virtual, tendo ainda $row1[2] GOlds ###\r\n";


	$arquivo2 = "compras.txt";

	if(!file_exists("$arquivo2")){
	}

	$abrir = fopen("$arquivo2","a");
	fwrite($abrir, $msg."\r\n");
	fclose($abrir);
	}
?>

